rpms/athcool/devel athcool-0.3.11.quiet.patch, NONE, 1.1 athcool.init, 1.1, 1.2 athcool.spec, 1.3, 1.4

Dawid Gajownik (gajownik) fedora-extras-commits at redhat.com
Fri Feb 24 19:25:58 UTC 2006


Author: gajownik

Update of /cvs/extras/rpms/athcool/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv27744

Modified Files:
	athcool.init athcool.spec 
Added Files:
	athcool-0.3.11.quiet.patch 
Log Message:
Deuglify init script


athcool-0.3.11.quiet.patch:

--- NEW FILE athcool-0.3.11.quiet.patch ---
diff -Nurp athcool-0.3.11.orig/athcool.8 athcool-0.3.11/athcool.8
--- athcool-0.3.11.orig/athcool.8	2004-07-28 04:48:04.000000000 +0200
+++ athcool-0.3.11/athcool.8	2005-11-11 13:56:05.000000000 +0100
@@ -22,6 +22,9 @@ Query power-saving mode.
 .TP
 \fBlist\fR
 List supported chipsets.
+.TP
+\fBquiet\fR
+Suppress warnings.
 
 .SH WARNINGS
 athcool only sets/unsets the "Disconnect enable when STPGNT detected"
diff -Nurp athcool-0.3.11.orig/athcool.c athcool-0.3.11/athcool.c
--- athcool-0.3.11.orig/athcool.c	2005-02-10 06:58:12.000000000 +0100
+++ athcool-0.3.11/athcool.c	2005-11-11 13:52:00.000000000 +0100
@@ -112,6 +112,7 @@ static void usage( const char *package )
   printf( "\toff\t Disable power-saving mode\n" );
   printf( "\tstat\t Query power-saving mode\n" );
   printf( "\tlist\t List supported chipsets\n" );
+  printf( "\tquiet\t Suppress warnings\n" );
   printf( "\tfixup\t fixup some problems for specific hardwares (EXPERIMENTAL)\n" );
   printf( "\t\t (it may cause system locks or instability)\n\n" );
 
@@ -429,6 +430,7 @@ int main ( int argc, char *argv[] )
   int	mode = ATHLONPM_USAGE;
   int	force_id = -1;
   int   fixup = FALSE;
+  int   quiet = FALSE;
   int	result, c;
 
   /* read optarg */
@@ -443,6 +445,8 @@ int main ( int argc, char *argv[] )
       mode = ATHLONPM_STAT;
     } else if ( strcmp( argv[c], "list" ) == 0 ) {
       mode = ATHLONPM_LIST;
+    } else if ( strcmp( argv[c], "quiet" ) == 0 ) {
+      quiet = TRUE;
 #ifdef ENABLE_FORCEID
     } else if ( strcmp( argv[c], "force" ) == 0 ) {
       c++;
@@ -451,7 +455,8 @@ int main ( int argc, char *argv[] )
     }
   }
 
-  print_title();
+  if (!quiet)
+    print_title();
 
   switch (mode) {
   case ATHLONPM_USAGE:
@@ -464,7 +469,8 @@ int main ( int argc, char *argv[] )
 
   if (fixup) { mode |= ATHLONPM_FIXUP; }
 
-  print_warnings();
+  if (!quiet)
+    print_warnings();
 
   if ( iopl( 3 ) < 0 ) {
     printf( "%s : must run as root. exit\n", argv[0] );


Index: athcool.init
===================================================================
RCS file: /cvs/extras/rpms/athcool/devel/athcool.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- athcool.init	11 Aug 2005 08:23:27 -0000	1.1
+++ athcool.init	24 Feb 2006 19:25:57 -0000	1.2
@@ -13,32 +13,22 @@
 exec="/usr/sbin/athcool"
 prog=$(basename $exec)
 
-[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
-
 lockfile=/var/lock/subsys/$prog
 
 start() {
-    echo -n $"Enabling Athlon powersaving mode..."
-    if $prog on > /dev/null; then
-        retval=$?
-        echo " done."
-    else
-        retval=$?
-        echo " failed."
-    fi
+    echo -n $"Starting $prog: "
+    daemon $exec on quiet
+    retval=$?
+    echo
     [ $retval -eq 0 ] && touch $lockfile
     return $retval
 }
 
 stop() {
-    echo -n "Disabling Athlon powersaving mode..."
-    if $prog off > /dev/null; then
-        retval=$?
-        echo " done."
-    else
-        retval=$?
-        echo " failed."
-    fi
+    echo -n $"Stopping $prog: "
+    daemon $exec off quiet
+    retval=$?
+    echo
     [ $retval -eq 0 ] && rm -f $lockfile
     return $retval
 }


Index: athcool.spec
===================================================================
RCS file: /cvs/extras/rpms/athcool/devel/athcool.spec,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- athcool.spec	3 Dec 2005 14:29:55 -0000	1.3
+++ athcool.spec	24 Feb 2006 19:25:57 -0000	1.4
@@ -1,20 +1,21 @@
 Name:           athcool
 Version:        0.3.11
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Enables/disables Powersaving mode for AMD processors
 
 Group:          System Environment/Daemons
 License:        GPL
 URL:            http://members.jcom.home.ne.jp/jacobi/linux/softwares.html#athcool
 Source0:        http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz
-Source1:        %{name}.init
+Source1:        athcool.init
+Patch0:         athcool-0.3.11.quiet.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  pciutils-devel
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
 Requires(preun): /sbin/service
-# It's for AMD Athlon/Duron processors
+# It's for AMD Athlon/Duron processors (#179674)
 ExclusiveArch:  %{ix86}
 
 
@@ -46,6 +47,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 sed -i -e 's/install -s/install/' Makefile
 
 
@@ -84,12 +86,15 @@
 %files
 %defattr(-,root,root,-)
 %doc COPYING ChangeLog README
-%{_initrddir}/%{name}
-%{_mandir}/man8/%{name}.8*
-%{_sbindir}/%{name}
+%{_initrddir}/athcool
+%{_mandir}/man8/athcool.8*
+%{_sbindir}/athcool
 
 
 %changelog
+* Fri Feb 24 2006 Dawid Gajownik <gajownik[AT]fedora.pl> - 0.3.11-4
+- Deuglify init script
+
 * Sat Dec  3 2005 Dawid Gajownik <gajownik[AT]fedora.pl> - 0.3.11-3
 - Fix broken debuginfo package (Ville Skyttä, #174881)
 




More information about the scm-commits mailing list